<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateDimensionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: dimensions
         */
        Schema::create('dimensions', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->enum('type', ['index','dimension'])->nullable();
            $table->enum('status', ['Show','Hide'])->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('dimensions');
    }
}
