<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;

class CreateQuestionsTable extends Migration
{
    /*
     * Run the migrations.
     *
     * @return void
     */

    public function up()
    {

        /*
         * Table: questions
         */
        Schema::create('questions', function ($table) {
            $table->increments('id');
            $table->integer('company_id')->nullable();
            $table->string('name', 255)->nullable();
            $table->enum('source', ['kinetic_suvey','kinetic_demographic_source'])->nullable();
            $table->enum('category', ['company_survey','company_demographic_survey'])->nullable();
            $table->enum('status', ['Uploaded','Pending'])->nullable();
            $table->string('dimensions', 255)->nullable();
            $table->tinyInteger('response_required')->nullable();
            $table->tinyInteger('response_option')->nullable();
            $table->string('alt_versions', 255)->nullable();
            $table->string('tags', 255)->nullable();
            $table->string('templates', 255)->nullable();
            $table->string('nodes', 255)->nullable();
            $table->softDeletes();
            $table->nullableTimestamps();
        });
    }

    /*
    * Reverse the migrations.
    *
    * @return void
    */

    public function down()
    {
        Schema::drop('questions');
    }
}
