<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for question in question package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  question module in question package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'Question',
    'names'         => 'Questions',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'Questions',
        'sub'   => 'Questions',
        'list'  => 'List of questions',
        'edit'  => 'Edit question',
        'create'    => 'Create new question'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            'source'              => ['kinetic_suvey','kinetic_demographic_source'],
            'category'            => ['company_survey','company_demographic_survey'],
            'status'              => ['Uploaded','Pending'],
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'id'                         => 'Please enter id',
        'company_id'                 => 'Please enter company',
        'name'                       => 'Please enter name',
        'source'                     => 'Please select source',
        'category'                   => 'Please select category',
        'status'                     => 'Please select status',
        'dimensions'                 => 'Please enter dimensions',
        'response_required'          => 'Please enter response required',
        'response_option'            => 'Please enter response option',
        'alt_versions'               => 'Please enter alt versions',
        'tags'                       => 'Please enter tags',
        'templates'                  => 'Please enter templates',
        'nodes'                      => 'Please enter nodes',
        'created_at'                 => 'Please select created at',
        'updated_at'                 => 'Please select updated at',
        'deleted_at'                 => 'Please select deleted at',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'id'                         => 'Id',
        'company_id'                 => 'Company',
        'name'                       => 'Name',
        'source'                     => 'Source',
        'category'                   => 'Category',
        'status'                     => 'Status',
        'dimensions'                 => 'Dimensions',
        'response_required'          => 'Response required',
        'response_option'            => 'Response option',
        'alt_versions'               => 'Alt versions',
        'tags'                       => 'Tags',
        'templates'                  => 'Templates',
        'nodes'                      => 'Nodes',
        'created_at'                 => 'Created at',
        'updated_at'                 => 'Updated at',
        'deleted_at'                 => 'Deleted at',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'company_id'                 => ['name' => 'Company', 'data-column' => 1, 'checked'],
        'name'                       => ['name' => 'Name', 'data-column' => 2, 'checked'],
        'source'                     => ['name' => 'Source', 'data-column' => 3, 'checked'],
        'category'                   => ['name' => 'Category', 'data-column' => 4, 'checked'],
        'dimensions'                 => ['name' => 'Dimensions', 'data-column' => 5, 'checked'],
        'response_required'          => ['name' => 'Response required', 'data-column' => 6, 'checked'],
        'response_option'            => ['name' => 'Response option', 'data-column' => 7, 'checked'],
        'alt_versions'               => ['name' => 'Alt versions', 'data-column' => 8, 'checked'],
        'tags'                       => ['name' => 'Tags', 'data-column' => 9, 'checked'],
        'templates'                  => ['name' => 'Templates', 'data-column' => 10, 'checked'],
        'nodes'                      => ['name' => 'Nodes', 'data-column' => 11, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'Questions',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
