<?php

// API routes  for question
Route::prefix('{guard}/question')->group(function () {
    Route::get('question/form/{element}', 'QuestionAPIController@form');
    Route::resource('question', 'QuestionAPIController');
});

// Public routes for question
Route::get('questions/', 'QuestionPublicController@index');
Route::get('questions/{slug?}', 'QuestionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for questions
            Route::prefix('{guard}/question')->group(function () {
                Route::get('question/form/{element}', 'QuestionAPIController@form');
                Route::apiResource('question', 'QuestionAPIController');
            });
            // Public routes for questions
            Route::get('question/Question', 'QuestionPublicController@getQuestion');
        }
    );
}


// API routes  for dimension
Route::prefix('{guard}/question')->group(function () {
    Route::get('dimension/form/{element}', 'DimensionAPIController@form');
    Route::resource('dimension', 'DimensionAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for questions
            Route::prefix('{guard}/question')->group(function () {
                Route::get('dimension/form/{element}', 'DimensionAPIController@form');
                Route::apiResource('dimension', 'DimensionAPIController');
            });
            // Public routes for questions
            Route::get('question/Dimension', 'DimensionPublicController@getDimension');
        }
    );
}


// API routes  for tag
Route::prefix('{guard}/question')->group(function () {
    Route::get('tag/form/{element}', 'TagAPIController@form');
    Route::resource('tag', 'TagAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for questions
            Route::prefix('{guard}/question')->group(function () {
                Route::get('tag/form/{element}', 'TagAPIController@form');
                Route::apiResource('tag', 'TagAPIController');
            });
            // Public routes for questions
            Route::get('question/Tag', 'TagPublicController@getTag');
        }
    );
}


// API routes  for template
Route::prefix('{guard}/question')->group(function () {
    Route::get('template/form/{element}', 'TemplateAPIController@form');
    Route::resource('template', 'TemplateAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for questions
            Route::prefix('{guard}/question')->group(function () {
                Route::get('template/form/{element}', 'TemplateAPIController@form');
                Route::apiResource('template', 'TemplateAPIController');
            });
            // Public routes for questions
            Route::get('question/Template', 'TemplatePublicController@getTemplate');
        }
    );
}


// API routes  for roption
Route::prefix('{guard}/question')->group(function () {
    Route::get('roption/form/{element}', 'RoptionAPIController@form');
    Route::resource('roption', 'RoptionAPIController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for questions
            Route::prefix('{guard}/question')->group(function () {
                Route::get('roption/form/{element}', 'RoptionAPIController@form');
                Route::apiResource('roption', 'RoptionAPIController');
            });
            // Public routes for questions
            Route::get('question/Roption', 'RoptionPublicController@getRoption');
        }
    );
}

