<?php

// web routes  for question
Route::prefix('{guard}/question')->group(function () {
    Route::resource('question', 'QuestionResourceController');
});

// Public routes for question
Route::get('questions/', 'QuestionPublicController@index');
Route::get('questions/{slug?}', 'QuestionPublicController@show');

if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'QuestionResourceController');
            });
            // Public routes for pages
            Route::get('questions/', 'QuestionPublicController@index');
            Route::get('questions/{slug?}', 'QuestionPublicController@show');
        }
    );
}


// web routes  for dimension
Route::prefix('{guard}/question')->group(function () {
    Route::resource('dimension', 'DimensionResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'DimensionResourceController');
            });
            // Public routes for pages
            Route::get('questions/', 'DimensionPublicController@index');
            Route::get('questions/{slug?}', 'DimensionPublicController@show');
        }
    );
}


// web routes  for tag
Route::prefix('{guard}/question')->group(function () {
    Route::resource('tag', 'TagResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TagResourceController');
            });
            // Public routes for pages
            Route::get('questions/', 'TagPublicController@index');
            Route::get('questions/{slug?}', 'TagPublicController@show');
        }
    );
}


// web routes  for template
Route::prefix('{guard}/question')->group(function () {
    Route::resource('template', 'TemplateResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'TemplateResourceController');
            });
            // Public routes for pages
            Route::get('questions/', 'TemplatePublicController@index');
            Route::get('questions/{slug?}', 'TemplatePublicController@show');
        }
    );
}


// web routes  for roption
Route::prefix('{guard}/question')->group(function () {
    Route::resource('roption', 'RoptionResourceController');
});


if (Trans::isMultilingual()) {
    Route::group(
        [
            'prefix' => '{trans}',
            'where'  => ['trans' => Trans::keys('|')],
        ],
        function () {
            // Guard routes for pages
            Route::prefix('{guard}/page')->group(function () {
                Route::apiResource('page', 'RoptionResourceController');
            });
            // Public routes for pages
            Route::get('questions/', 'RoptionPublicController@index');
            Route::get('questions/{slug?}', 'RoptionPublicController@show');
        }
    );
}

