<?php

namespace Survey\Question\Providers;

use Illuminate\Contracts\Auth\Access\Gate as GateContract;
use Illuminate\Foundation\Support\Providers\AuthServiceProvider as ServiceProvider;

class AuthServiceProvider extends ServiceProvider
{
    /**
     * The policy mappings for the package.
     *
     * @var array
     */
    protected $policies = [
        // Bind Question policy
        'Survey\Question\Models\Question' => \Survey\Question\Policies\QuestionPolicy::class,
// Bind Dimension policy
        'Survey\Question\Models\Dimension' => \Survey\Question\Policies\DimensionPolicy::class,
// Bind Tag policy
        'Survey\Question\Models\Tag' => \Survey\Question\Policies\TagPolicy::class,
// Bind Template policy
        'Survey\Question\Models\Template' => \Survey\Question\Policies\TemplatePolicy::class,
// Bind Roption policy
        'Survey\Question\Models\Roption' => \Survey\Question\Policies\RoptionPolicy::class,
    ];

    /**
     * Register any package authentication / authorization services.
     *
     * @param \Illuminate\Contracts\Auth\Access\Gate $gate
     *
     * @return void
     */
    public function boot(GateContract $gate)
    {
        parent::registerPolicies($gate);
    }
}
