<?php

namespace Survey\Question\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class DimensionTransformer extends TransformerAbstract
{
    public function transform(\Survey\Question\Models\Dimension $dimension)
    {
        return [
            'id'                => $dimension->getRouteKey(),
            'key'               => [
                'public'    => $dimension->getPublicKey(),
                'route'     => $dimension->getRouteKey(),
            ], 
            'company_id'        => $dimension->company_id,
            'name'              => $dimension->name,
            'type'              => $dimension->type,
            'deleted_at'        => $dimension->deleted_at,
            'url'               => [
                'public'    => trans_url('question/'.$dimension->getPublicKey()),
                'user'      => guard_url('question/dimension/'.$dimension->getRouteKey()),
            ], 
            'status'            => trans('app.'.$dimension->status),
            'created_at'        => format_date($dimension->created_at),
            'updated_at'        => format_date($dimension->updated_at),
        ];
    }
}