<?php

namespace Survey\Question\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class QuestionTransformer extends TransformerAbstract
{
    public function transform(\Survey\Question\Models\Question $question)
    {
        return [
            'id'                => $question->getRouteKey(),
            'key'               => [
                'public'    => $question->getPublicKey(),
                'route'     => $question->getRouteKey(),
            ], 
            'company_id'        => $question->company_id,
            'name'              => $question->name,
            'source'            => $question->source,
            'category'          => $question->category,
            'dimensions'        => $question->dimensions,
            'response_required' => $question->response_required,
            'response_option'   => $question->response_option,
            'alt_versions'      => $question->alt_versions,
            'tags'              => $question->tags,
            'templates'         => $question->templates,
            'nodes'             => $question->nodes,
            'deleted_at'        => $question->deleted_at,
            'url'               => [
                'public'    => trans_url('question/'.$question->getPublicKey()),
                'user'      => guard_url('question/question/'.$question->getRouteKey()),
            ], 
            'status'            => trans('app.'.$question->status),
            'created_at'        => format_date($question->created_at),
            'updated_at'        => format_date($question->updated_at),
        ];
    }
}