<?php

namespace Survey\Question\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RoptionTransformer extends TransformerAbstract
{
    public function transform(\Survey\Question\Models\Roption $roption)
    {
        return [
            'id'                => $roption->getRouteKey(),
            'key'               => [
                'public'    => $roption->getPublicKey(),
                'route'     => $roption->getRouteKey(),
            ], 
            'name'              => $roption->name,
            'options'           => $roption->options,
            'deleted_at'        => $roption->deleted_at,
            'url'               => [
                'public'    => trans_url('question/'.$roption->getPublicKey()),
                'user'      => guard_url('question/roption/'.$roption->getRouteKey()),
            ], 
            'status'            => trans('app.'.$roption->status),
            'created_at'        => format_date($roption->created_at),
            'updated_at'        => format_date($roption->updated_at),
        ];
    }
}