<?php

namespace Survey\Question\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class TemplateTransformer extends TransformerAbstract
{
    public function transform(\Survey\Question\Models\Template $template)
    {
        return [
            'id'                => $template->getRouteKey(),
            'key'               => [
                'public'    => $template->getPublicKey(),
                'route'     => $template->getRouteKey(),
            ], 
            'name'              => $template->name,
            'details'           => $template->details,
            'deleted_at'        => $template->deleted_at,
            'url'               => [
                'public'    => trans_url('question/'.$template->getPublicKey()),
                'user'      => guard_url('question/template/'.$template->getRouteKey()),
            ], 
            'status'            => trans('app.'.$template->status),
            'created_at'        => format_date($template->created_at),
            'updated_at'        => format_date($template->updated_at),
        ];
    }
}